<?php

namespace app\admin\service\member;

use app\model\Family;
use app\model\FamilyMember;

class FamilyService
{
    /**
     * @Desc 家庭列表
     * @Author Gorden
     * @Date 2024/3/6 10:56
     *
     * @param $memberId
     * @return \support\Response
     */
    public static function selectList($memberId)
    {
        $list = Family::with('familyMember')
            ->where('join_family_creator_member_id', $memberId)
            ->get()
            ->toArray();

        return json_success('', $list);
    }

    /**
     * @Desc 家庭详情
     * @Author Gorden
     * @Date 2024/3/6 11:23
     *
     * @param $familyId
     * @return \support\Response
     */
    public static function selectInfo($familyId)
    {
        $family = Family::with('familyMember')
            ->where('family_id', $familyId)
            ->first();
        $family = $family ? $family->toArray() : [];

        return json_success('', $family);
    }
}