<?php

namespace app\admin\validate\medical;

use think\Validate;

class ReservationServiceValidate extends Validate
{
    protected $rule = [
        'service_id' => 'require|integer',
        'service_category_id' => 'require|integer',
        'service_shop_id' => 'require|integer',
        'service_name' => 'require|chsDash',
        'service_price' => 'require|float',
        'service_avatar' => 'regex:/^[0-9a-zA-Z\.\/]+$/',
        'service_type' => 'in:0,1',
        'service_hour_count' => 'integer',
        'service_audit' => 'in:0,1,2',
        'service_status' => 'require|in:0,1'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['service_category_id', 'service_shop_id', 'service_name', 'service_price', 'service_avatar', 'service_type',
            'service_hour_count', 'service_audit', 'service_status'],
        'update' => ['service_id', 'service_category_id', 'service_shop_id', 'service_name', 'service_price', 'service_avatar', 'service_type',
            'service_hour_count', 'service_audit', 'service_status'],
    ];
}